# Self-hosted vaultwarden

## Preface

This is my security password vault. 
It is similiar to 1Password, Lastpass. But the own data is controlled by myself. 
I adopt the Bitwarden service but deploy the third party vaultwarden, 
which is written by the Rust. 

I deployed the service in my internal network, no any external access. 
All my bitwarden clients connect to my vault nor through the internal network or VPN. 

## Composition

1. Vaultwarden
2. Caddy

Vaultwarden need a reverse proxy to function. I limited the Vaultwarden to only the LXC container localhost. Then use Caddy as the reverse proxy. It will get the Let's encrypt automatically through Cloudflare DNS API. 